summaryrefslogtreecommitdiffstats
path: root/debian/bind9.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/bind9.postrm')
-rw-r--r--debian/bind9.postrm18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/bind9.postrm b/debian/bind9.postrm
new file mode 100644
index 0000000..27239c0
--- /dev/null
+++ b/debian/bind9.postrm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = "purge" ]; then
+ rm -f /etc/bind/rndc.key
+ rmdir /etc/bind >/dev/null 2>&1 || true
+ rm -f /etc/apparmor.d/force-complain/usr.sbin.named >/dev/null 2>&1 || true
+ rmdir /var/lib/bind || true
+ # delete bind daemon user, if it exists
+ if getent passwd bind > /dev/null ; then
+ deluser --quiet bind > /dev/null || true
+ fi
+fi
+
+exit 0